# 多玩手游
地址：[多玩手游](http://sy.duowan.com "多玩手游")

** 手游结构 **
预格式化文本：

    | sy_backend    | sy_pc         |sy_h5
    | ------------- | ------------- |------------- |
    | 游戏爬虫       | 业务逻辑       |业务逻辑
    | 业务后台       | 数据库操作     |数据库操作
    
    
`涉及的数据库：dw_sy、dw_sy_data`

```
dw_sy_data 涉及到多个业务相关表。
其中:dw_sy_data.rank、dw_sy_data.sy_rank_spider、dw_sy_data.taptap_game
是爬虫第三方网站 Taptap 相关业务的、
相关代码放在 sy/sy_backend/protected/bin/rank 目录下
目前的多玩首页有用到这个项目接口
且部分爬虫：在可视化爬虫下。
```

![可视化爬虫配置：](http://screenshot.dwstatic.com/ojiastoreimage/1d682e10d54d1d9cd80edff0cedbd21e_size1644x335_len72927.png)

```
GameInfo：游戏详情表
  `is_operations` tinyint(1) DEFAULT '0' COMMENT '是否联合运营：0:否,1:是',
  判断是否联运游戏的：联运游戏的。安装包与普通游戏的安装包地址不同
  
   `is_bt_game` tinyint(1) DEFAULT '0' COMMENT '是否BT版游戏：0:否,1:是',
  `open_yyuid` bigint(20) DEFAULT '0' COMMENT '游戏开发者yyuid',
  `developer` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '开发商',
  `isbn` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '网络游戏出版号(ISBN)',
  `isbn_picture` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '核发单扫描件',
  `scr` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '软件著作权登记号',
  `scr_picture` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '登记证书扫描件',
  
  开发者平台的功能字段。下面是开发者平台的主要功能：apk包的上传服务
```


